<template>
  <div>
    <div class="nodetitle w-full flex items-center justify-between xs:flex-col xs:gap-8 xs:items-start">
      <div class="nodetitle__logo-block gap-4 flex items-center justify-between">
        <div class="flex items-center gap-4">
          <div class="flex justify-center items-center relative shrink-0">
            <img width="64" height="64" src="@/assets/images/views/index/polygon.svg" class="h-16 w-16" />
            <transition name="fade">
              <img
                v-if="nodeInfo.cryptocurrency_symbol"
                width="48"
                height="48"
                :src="require(`@/assets/images/coins/${nodeInfo.cryptocurrency_symbol.toLowerCase()}.svg`)"
                class="absolute inset-0 m-auto"
              />
            </transition>
          </div>
          <UiLoading v-if="loading" class="w-24 h-5 rounded-8" />
          <p
            v-else
            class="text-lg leading-5 font-bold text-txtdprim whitespace-nowrap overflow-hidden overflow-ellipsis"
          >
            {{ nodeInfo.cryptocurrency_full_name }}
          </p>
        </div>
        <UiLoading style="width: 44px" v-if="loading" class="h-8 rounded-12" />
        <div
          v-else
          class="bg-btndsec h-8 px-2 flex justify-center items-center text-sm font-medium text-txtdsec rounded-12 uppercase"
        >
          {{ nodeInfo.cryptocurrency_symbol }}
        </div>
      </div>
      <div class="flex items-center gap-4 xs:hidden">
        <div style="height: 45px" class="w-0.5 bg-brdddef"></div>
        <div>
          <p class="text-sm font-medium text-txtdtert">{{ $t('index.spec') }}</p>
          <UiLoading v-if="loading" class="w-32 h-5 rounded-8" />
          <p v-else class="leading-5 font-bold text-txtdprim">
            <span class="capitalize">{{ nodeInfo.network }}, </span>
            <span class="capitalize">{{ $t(`ui-range.${nodeInfo.mode}`) }}</span>
          </p>
        </div>
      </div>
      <div class="hidden xs:grid grid-cols-2 w-full">
        <div class="flex items-center gap-4">
          <div style="height: 45px" class="w-0.5 bg-brdddef"></div>
          <div>
            <p class="text-sm font-medium text-txtdtert">{{ $t('index.mode') }}</p>
            <UiLoading v-if="loading" class="h-5 w-24 rounded-8" />
            <p v-else class="leading-5 font-bold text-txtdprim capitalize">{{ $t(`ui-range.${nodeInfo.mode}`) }}</p>
          </div>
        </div>
        <div class="flex items-center gap-4">
          <div style="height: 45px" class="w-0.5 bg-brdddef"></div>
          <div>
            <p class="text-sm font-medium text-txtdtert">{{ $t('index.network') }}</p>
            <UiLoading v-if="loading" class="h-5 w-24 rounded-8" />
            <p v-else class="leading-5 font-bold text-txtdprim capitalize">{{ nodeInfo.network }}</p>
          </div>
        </div>
      </div>
      <UiButton
        buttonHeight="sm"
        colorType="secondary"
        class="px-3 gap-3 rounded-16 xs:w-12 xs:absolute top-6 right-4"
        @click="handleRenewClick"
      >
        <img width="24" height="24" src="@/assets/images/views/endpoint/prolong.svg" />
        <p class="xs:hidden">{{ $t('endpoint.renew') }}</p>
      </UiButton>
    </div>
    <div class="mt-4 flex items-center gap-2">
      <p class="font-medium text-txtdsec text-sm">{{ $t('endpoint.project-status') }}:</p>
      <UiLoading v-if="loading" class="w-24 h-6 rounded-8" />
      <p v-else-if="nodeInfo.status" class="font-bold text-txtdprim capitalize leading-6">
        {{ $t(`endpoint.${nodeInfo.status}`) }}
      </p>
    </div>
  </div>
</template>

<script>
import UiButton from '@/components/ui/UiButton.vue';
import UiLoading from '@/components/ui/UiLoading.vue';

export default {
  name: 'NodeTitle',

  components: { UiButton, UiLoading },

  props: {
    nodeInfo: {
      type: Object,
      default: () => ({}),
    },

    loading: {
      type: Boolean,
      default: false,
    },
  },

  methods: {
    handleRenewClick() {
      if (this.loading) return;
      this.$store.commit('setRenewDisplay', true);
    },
  },
};
</script>

<style lang="scss" scoped>
.nodetitle {
  &__logo-block {
    width: 244px;
  }
}
</style>
